package testea;

import junit.framework.Assert;
import org.junit.Test;

import javax.naming.InitialContext;
import javax.naming.NamingException;

import testea.server.MagicBoxRemote;

public class MagicBoxTest {
    
    public Object lookupBean(final String beanName) throws NamingException {
        return new InitialContext().lookup("java:global/TestEA/" + beanName); //$NON-NLS-1$
    }

    @Test
    public void testDaNumber() throws NamingException {
        MagicBoxRemote magicBox = (MagicBoxRemote) lookupBean("MagicBoxBean");
        System.out.println("magicBox daNumber = " + magicBox.getMeDaNumber());
        Assert.assertEquals(42, magicBox.getMeDaNumber());

    }
}

